import { type CreatedTableState, StorableCreateTableState } from "./table-state";
export interface BindAutoSaveToStorageParams<DataItem> {
    tableId: string;
    tableState: CreatedTableState<DataItem>;
    savingDelay?: number;
    fromStorage(tableId: string): Promise<StorableCreateTableState<DataItem>>;
    toStorage(tableId: string, state: StorableCreateTableState<DataItem>): Promise<void>;
}
export declare function bindAutoSaveChangesToStorage<DataItem>({ tableId, tableState, fromStorage, toStorage, savingDelay }: BindAutoSaveToStorageParams<DataItem>): Promise<import("mobx").IReactionDisposer>;
